%define upstream_name smmap
%define name    python-%{upstream_name}
%define version 0.8.2
%define release %mkrel 4

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	A pure git implementation of a sliding window memory map manager
License:	BSD
Group: 		Development/Python
Url: 		http://pypi.python.org/pypi/smmap
Source0: 	http://pypi.python.org/packages/source/s/smmap/smmap-%{version}.tar.gz
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
When reading from many possibly large files in a fashion similar to random
access, it is usually the fastest and most efficient to use memory maps.

%prep
%setup -q -n %upstream_name-%version

%build
python setup.py build

%install
python setup.py install --root=%{buildroot}

%files
%defattr(-,root,root)
%doc PKG-INFO
%{python_sitelib}/smmap
%{python_sitelib}/smmap-%{version}-py%{pyver}.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.8.2-4.mga4
+ Revision: 544161
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8.2-3.mga4
+ Revision: 499404
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.8.2-2.mga3
+ Revision: 379542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 fwang <fwang> 0.8.2-1.mga3
+ Revision: 248919
- new version 0.8.2

* Wed Jul 20 2011 fwang <fwang> 0.8.1-1.mga2
+ Revision: 126970
- use setuptools
- imported package python-smmap


* Thu Jul 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.1-1mdv2011
+ Revision: 689059
- update to new version 0.8.1

* Fri Jul 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-1
+ Revision: 688466
- import python-smmap

